Add vpp jenkins job to build vpp and run csit tests. 31/431/4
authorStefan Kobza <skobza@cisco.com>
Thu, 25 Feb 2016 13:36:26 +0000 (14:36 +0100)
committerStefan Kobza <skobza@cisco.com>
Mon, 29 Feb 2016 12:06:03 +0000 (13:06 +0100)
To start integrating with VPP verify job, start csit tests for each VPP
verify run. Until artifacts passing is solved between jenkins upstream
and downstream jobs, build the VPP project again in this job. Then
check out csit project, copy the deb packages to the cloned dir and
start the testcase.

Prevent the job non-voting, so that it does not polute VPP reviews with
erroneous results. We'll switch to normal voting after all potential
problems are ironed out, and the job is stable.

Change-Id: I9e35e19a1d8b2a64b8e65473fef93e0b537eded2
Signed-off-by: Stefan Kobza <skobza@cisco.com>
jjb/vpp/include-raw-vpp-csit-functional.sh [new file with mode: 0644]
jjb/vpp/vpp.yaml
zuul/layout.yaml

diff --git a/jjb/vpp/include-raw-vpp-csit-functional.sh b/jjb/vpp/include-raw-vpp-csit-functional.sh
new file mode 100644 (file)
index 0000000..e0767c6
--- /dev/null
@@ -0,0 +1,21 @@
+#!/bin/bash
+set -xeu -o pipefail
+
+# Clone csit and start tests
+git clone https://gerrit.fd.io/r/csit
+
+cp build-root/*.deb csit/
+cd csit
+# execute csit bootstrap script if it exists
+if [ -e bootstrap.sh ]
+then
+    # make sure that bootstrap.sh is executable
+    chmod +x bootstrap.sh
+    # run the script
+    ./bootstrap.sh *.deb
+else
+    echo 'ERROR: No bootstrap.sh found'
+    exit 1
+fi
+
+# vim: ts=4 ts=4 sts=4 et :
index caafe1a..3283832 100644 (file)
@@ -3,6 +3,7 @@
     jobs:
         - 'vpp-verify'
         - 'vpp-merge'
+        - 'vpp-csit-verify-virl'
 
     project: 'vpp'
     branch: 'master'
         - shell:
             !include-raw-escape include-raw-vpp-maven-push.sh
 
+- job-template:
+    name: 'vpp-csit-verify-virl'
+
+    project-type: freestyle
+    node: verify-merge
+    concurrent: false
+
+    logrotate:
+        daysToKeep: '{build-days-to-keep}'
+        numToKeep: '{build-num-to-keep}'
+        artifactDaysToKeep: '{build-artifact-days-to-keep}'
+        artifactNumToKeep: '{build-artifact-num-to-keep}'
+
+    scm:
+        - zuul-trigger-scm:
+            credentials-id: '{ssh-credentials}'
+            refspec: '$ZUUL_REF'
+            commit: '$ZUUL_COMMIT'
+
+    wrappers:
+        - ssh-agent-credentials:
+            users:
+                - '{ssh-credentials}'
+
+    builders:
+        - shell:
+            !include-raw-escape include-raw-vpp-build.sh
+        - shell:
+            !include-raw-escape include-raw-vpp-csit-functional.sh
+
+
+    publishers:
+        - archive-artifacts:
+            artifacts: 'csit/report.html, csit/log.html, csit/output.xml'
+            latest-only: false
+
+        - robot-report:
+            output-path: 'csit'
+
index 1be239c..8cfc7d9 100644 (file)
@@ -19,6 +19,19 @@ pipelines:
     failure:
       gerrit:
         verified: -1
+  - name: check-novote
+    source: gerrit
+    manager: IndependentPipelineManager
+    trigger:
+      gerrit:
+        - event: patchset-created
+        - event: draft-published
+        - event: comment-added
+          comment: (?i)^(Patch Set [0-9]+:)?( [\w\\+-]*)*(\n\n)?\s*(recheck|reverify)
+    success:
+      gerrit: {}
+    failure:
+      gerrit: {}
   # - name: gate
   #   source: gerrit
   #   manager: DependentPipelineManager
@@ -109,6 +122,7 @@ projects:
 #    template:
 #      - name: default-jobs
 
-#  - name: vpp
-#    template:
-#      - name: default-jobs
+  - name: vpp
+    check-novote:
+      - vpp-csit-verify-virl
+